Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232379 - When resizing window, gnome-power-statistics crashes
Summary: When resizing window, gnome-power-statistics crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 02:32 UTC by sangu
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-07 01:19:52 UTC


Attachments (Terms of Use)

Description sangu 2007-03-15 02:32:31 UTC
Description of problem:
Distribution: Fedora release 6.91 (Rawhide)
Gnome Release: 2.18.0 2007-03-13 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.20-1.2986.fc7 #1 SMP Tue Mar 13 17:11:26 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70200000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks-sangu
Icon Theme: Tango

Memory status: size: 45465600 vsize: 45465600 resident: 14225408 share: 11063296
rss: 14225408 rss_rlim: 4294967295
CPU usage: start_time: 1173926100 rtime: 227 utime: 215 stime: 12 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-power-statistics'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208719648 (LWP 4209)]
0x006a7402 in __kernel_vsyscall ()
#0  0x006a7402 in __kernel_vsyscall ()
#1  0x00455bd3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00aa0a46 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:872
#3  <signal handler called>
#4  gpm_graph_widget_expose (graph=0x9557800, event=0xbfe9ad64)
    at gpm-graph-widget.c:992
#5  0x010fcc40 in _gtk_marshal_BOOLEAN__BOXED (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c, marshal_data=0x804f9a0) at gtkmarshalers.c:84
#6  0x0024e589 in g_type_class_meta_marshal (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c, marshal_data=0xc8) at gclosure.c:567
#7  0x0024fd9b in IA__g_closure_invoke (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c) at gclosure.c:490
#8  0x00260a83 in signal_emit_unlocked_R (node=0x951f120, detail=0, 
    instance=0x9557800, emission_return=0xbfe9ac2c, 
    instance_and_params=0xbfe9aa6c) at gsignal.c:2478
#9  0x0026171f in IA__g_signal_emit_valist (instance=0x9557800, signal_id=58, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#10 0x00261b19 in IA__g_signal_emit (instance=0x9557800, signal_id=58, 
    detail=0) at gsignal.c:2243
#11 0x01211b48 in gtk_widget_event_internal (widget=0x9557800, 
    event=0xbfe9ad64) at gtkwidget.c:3915
#12 0x010f7424 in IA__gtk_main_do_event (event=0xbfe9ad64) at gtkmain.c:1533
#13 0x0034165f in gdk_window_process_updates_internal (window=0x9512400)
    at gdkwindow.c:2338
#14 0x00341897 in IA__gdk_window_process_all_updates () at gdkwindow.c:2401
#15 0x010666c2 in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1113
#16 0x0074c8c1 in g_idle_dispatch (source=0x9712c08, callback=0, 
    user_data=0x0) at gmain.c:3928
#17 0x0074e622 in IA__g_main_context_dispatch (context=0x9514218)
    at gmain.c:2045
#18 0x007515ff in g_main_context_iterate (context=0x9514218, block=1, 
    dispatch=1, self=0x94ed588) at gmain.c:2677
#19 0x007519a9 in IA__g_main_loop_run (loop=0x956bd90) at gmain.c:2881
#20 0x0804b759 in main (argc=) at gpm-statistics.c:180

Thread 1 (Thread -1208719648 (LWP 4209)):
#0  0x006a7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00455bd3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00aa0a46 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:872
	estatus = 0
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {7481928, 1, 7481928, 3219760328, 7145246, 156901096, 
      157984184, 3219760168, 24084480, 2293760, 24084480, 1, 1, 41877504, 
      24117248, 41877504, 11296, 1048, 14023900, 39583744, 0, 0, 1072693248, 
      0, 0, 1, 2293760, 24117248, 2293760, 0, 156901096, 157007440}}, 
  sa_flags = 156902696, sa_restorer = 0x30200}
	pid = 0
	in_segv = 1
#3  <signal handler called>
No symbol table info available.
#4  gpm_graph_widget_expose (graph=0x9557800, event=0xbfe9ad64)
    at gpm-graph-widget.c:992
	cr = (cairo_t *) 0x9712c40
#5  0x010fcc40 in _gtk_marshal_BOOLEAN__BOXED (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c, marshal_data=0x804f9a0) at gtkmarshalers.c:84
	data1 = (gpointer) 0x9557800
	data2 = <value optimized out>
	v_return = <value optimized out>
	__PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#6  0x0024e589 in g_type_class_meta_marshal (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c, marshal_data=0xc8) at gclosure.c:567
	callback = <value optimized out>
#7  0x0024fd9b in IA__g_closure_invoke (closure=0x951f190, 
    return_value=0xbfe9a990, n_param_values=2, param_values=0xbfe9aa6c, 
    invocation_hint=0xbfe9a97c) at gclosure.c:490
	marshal = (GClosureMarshal) 0x24e540 <g_type_class_meta_marshal>
	marshal_data = (gpointer) 0xc8
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#8  0x00260a83 in signal_emit_unlocked_R (node=0x951f120, detail=0, 
    instance=0x9557800, emission_return=0xbfe9ac2c, 
    instance_and_params=0xbfe9aa6c) at gsignal.c:2478
	tmp = <value optimized out>
	handler = (Handler *) 0xbfe9a948
	accumulator = (SignalAccumulator *) 0x951f168
	emission = {next = 0x0, instance = 0x9557800, ihint = {
    signal_id = 58, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
  state = EMISSION_RUN, chain_type = 156594232}
	class_closure = (GClosure *) 0x951f190
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0xbfe9a990
	accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 58
	max_sequential_handler_number = 84
	return_value_altered = 0
#9  0x0026171f in IA__g_signal_emit_valist (instance=0x9557800, signal_id=58, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = -1075204920, v_long = -1075204920, 
    v_int64 = 3219762376, v_double = 1.5907739777537865e-314, 
    v_pointer = 0xbfe9acc8}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbfe9aa6c
	stack_values = {{g_type = 156594232, data = {{v_int = 156596224, 
        v_uint = 156596224, v_long = 156596224, v_ulong = 156596224, 
        v_int64 = 156596224, v_uint64 = 156596224, v_float = 2.56953661e-33, 
        v_double = 7.7368814546860512e-316, v_pointer = 0x9557800}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 156204736, data = {{v_int = -1075204764, v_uint = 3219762532, 
        v_long = -1075204764, v_ulong = 3219762532, v_int64 = 3219762532, 
        v_uint64 = 3219762532, v_float = -1.82560396, 
        v_double = 1.5907740548280272e-314, v_pointer = 0xbfe9ad64}, {
        v_int = 134217728, v_uint = 134217728, v_long = 134217728, 
        v_ulong = 134217728, v_int64 = 134217728, v_uint64 = 134217728, 
        v_float = 3.85185989e-34, v_double = 6.631236846766476e-316, 
        v_pointer = 0x8000000}}}, {g_type = 2, data = {{v_int = -1075205432, 
        v_uint = 3219761864, v_long = -1075205432, v_ulong = 3219761864, 
        v_int64 = 680373795578030792, v_uint64 = 680373795578030792, 
        v_float = -1.82552433, v_double = 3.4086099577516422e-263, 
        v_pointer = 0xbfe9aac8}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = -7378697627765833728, 
        v_uint64 = 11068046445943717888, v_float = 0, 
        v_double = -2.3534379293677286e-185, v_pointer = 0x0}}}, {
    g_type = 1069128089, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 8589934592, v_uint64 = 8589934592, 
        v_float = 0, v_double = 4.2439915819305446e-314, v_pointer = 0x0}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = -4617970929970970624, v_uint64 = 13828773143738580992, 
        v_float = 0, v_double = -0.80223464965820312, v_pointer = 0x0}}}, {
    g_type = 3219761864, data = {{v_int = -1717986918, v_uint = 2576980378, 
        v_long = -1717986918, v_ulong = 2576980378, 
        v_int64 = 4591870180066957722, v_uint64 = 4591870180066957722, 
        v_float = -1.58818684e-23, v_double = 0.10000000000000001, 
        v_pointer = 0x9999999a}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 4294967296, v_uint64 = 4294967296, 
        v_float = 0, v_double = 2.1219957909652723e-314, v_pointer = 0x0}}}, {
    g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}, {v_int = 12, v_uint = 12, v_long = 12, 
        v_ulong = 12, v_int64 = 12, v_uint64 = 12, v_float = 1.68155816e-44, 
        v_double = 5.9287877500949585e-323, v_pointer = 0xc}}}, {g_type = 0, 
    data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 4607182418800017408, v_uint64 = 4607182418800017408, 
        v_float = 0, v_double = 1, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}}}, {g_type = 0, data = {{
        v_int = 7018324, v_uint = 7018324, v_long = 7018324, 
        v_ulong = 7018324, v_int64 = 7018324, v_uint64 = 7018324, 
        v_float = 9.83476664e-39, v_double = 3.4675127797831208e-317, 
        v_pointer = 0x6b1754}, {v_int = 1072693248, v_uint = 1072693248, 
        v_long = 1072693248, v_ulong = 1072693248, v_int64 = 1072693248, 
        v_uint64 = 1072693248, v_float = 1.875, 
        v_double = 5.2998088236266445e-315, v_pointer = 0x3ff00000}}}, {
    g_type = 0, data = {{v_int = 7481928, v_uint = 7481928, v_long = 7481928, 
        v_ulong = 7481928, v_int64 = -4617971307920610744, 
        v_uint64 = 13828772765788940872, v_float = 1.04844142e-38, 
        v_double = -0.80219268881894212, v_pointer = 0x722a48}, {
        v_int = -1075205320, v_uint = 3219761976, v_long = -1075205320, 
        v_ulong = 3219761976, v_int64 = 30144145287392056, 
        v_uint64 = 30144145287392056, v_float = -1.82553768, 
        v_double = 1.2057015415077496e-306, v_pointer = 0xbfe9ab38}}}, {
    g_type = 3219762076, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 56890866219876352, 
        v_uint64 = 56890866219876352, v_float = 0, 
        v_double = 7.4383567212788758e-305, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = -4617971307928092672, 
        v_uint64 = 13828772765781458944, v_float = 0, 
        v_double = -0.80219268798828125, v_pointer = 0x0}}}, {g_type = 0, 
    data = {{v_int = 13245937, v_uint = 13245937, v_long = 13245937, 
        v_ulong = 13245937, v_int64 = 30571667420487153, 
        v_uint64 = 30571667420487153, v_float = 1.85615112e-38, 
        v_double = 1.2732932211234477e-306, v_pointer = 0xca1df1}, {
        v_int = -1075205220, v_uint = 3219762076, v_long = -1075205220, 
        v_ulong = 3219762076, v_int64 = -30907659867236, 
        v_uint64 = 18446713166049684380, v_float = -1.8255496, 
        v_double = -nan(0xfe3e3bfe9ab9c), v_pointer = 0xbfe9ab9c}}}, {
    g_type = 3219762008, data = {{v_int = 24, v_uint = 24, v_long = 24, 
        v_ulong = 24, v_int64 = 16355768039112728, 
        v_uint64 = 16355768039112728, v_float = 3.36311631e-44, 
        v_double = 1.4522701529837783e-307, v_pointer = 0x18}, {
        v_int = 14023800, v_uint = 14023800, v_long = 14023800, 
        v_ulong = 14023800, v_int64 = 56890866233900152, 
        v_uint64 = 56890866233900152, v_float = 1.96515294e-38, 
        v_double = 7.4383567354688079e-305, v_pointer = 0xd5fc78}}}, {
    g_type = 360, data = {{v_int = 88, v_uint = 88, v_long = 88, 
        v_ulong = 88, v_int64 = 60232191862374488, 
        v_uint64 = 60232191862374488, v_float = 1.23314265e-43, 
        v_double = 1.2524627848525862e-304, v_pointer = 0x58}, {
        v_int = -1075205232, v_uint = 3219762064, v_long = -1075205232, 
        v_ulong = 3219762064, v_int64 = 680373795578030992, 
        v_uint64 = 680373795578030992, v_float = -1.82554817, 
        v_double = 3.4086099577517832e-263, v_pointer = 0xbfe9ab90}}}, {
    g_type = 0, data = {{v_int = -1717986918, v_uint = 2576980378, 
        v_long = -1717986918, v_ulong = 2576980378, 
        v_int64 = 56890868796856730, v_uint64 = 56890868796856730, 
        v_float = -1.58818684e-23, v_double = 7.4383593287873041e-305, 
        v_pointer = 0x9999999a}, {v_int = 688, v_uint = 688, v_long = 688, 
        v_ulong = 688, v_int64 = 1546188227248, v_uint64 = 1546188227248, 
        v_float = 9.64093343e-43, v_double = 7.639184850874152e-312, 
        v_pointer = 0x2b0}}}, {g_type = 14023900, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 30143472052731904, 
        v_uint64 = 30143472052731904, v_float = 0, 
        v_double = 1.205595102430255e-306, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 60956873104293888, 
        v_uint64 = 60956873104293888, v_float = 0, 
        v_double = 1.3991160121956165e-304, v_pointer = 0x0}}}, {
    g_type = 14197024, data = {{v_int = 72, v_uint = 72, v_long = 72, 
        v_ulong = 72, v_int64 = 32134636071026760, 
        v_uint64 = 32134636071026760, v_float = 1.00893489e-43, 
        v_double = 1.616753006887709e-306, v_pointer = 0x48}, {
        v_int = 14023800, v_uint = 14023800, v_long = 14023800, 
        v_ulong = 14023800, v_int64 = 60975753794550904, 
        v_uint64 = 60975753794550904, v_float = 1.96515294e-38, 
        v_double = 1.4029368840500082e-304, v_pointer = 0xd5fc78}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 20
	param_values = (GValue *) 0xbfe9aa80
	node = (SignalNode *) 0x951f120
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#10 0x00261b19 in IA__g_signal_emit (instance=0x9557800, signal_id=58, 
    detail=0) at gsignal.c:2243
	var_args = 0xbfe9acac "d­é¿È¬é¿d­é¿"
#11 0x01211b48 in gtk_widget_event_internal (widget=0x9557800, 
    event=0xbfe9ad64) at gtkwidget.c:3915
	signal_num = <value optimized out>
	return_val = 0
#12 0x010f7424 in IA__gtk_main_do_event (event=0xbfe9ad64) at gtkmain.c:1533
	event_widget = (GtkWidget *) 0x9557800
	grab_widget = (GtkWidget *) 0x9557800
	window_group = (GtkWindowGroup *) 0x969fd50
	next_event = <value optimized out>
	rewritten_event = (GdkEvent *) 0x0
	tmp_list = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#13 0x0034165f in gdk_window_process_updates_internal (window=0x9512400)
    at gdkwindow.c:2338
	event = {type = GDK_EXPOSE, any = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0'}, expose = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0', area = {x = 0, y = 0, 
      width = 740, height = 428}, region = 0x968a9c0, count = 0}, 
  no_expose = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0'}, 
  visibility = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    state = GDK_VISIBILITY_UNOBSCURED}, motion = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0', time = 0, 
    x = 1.5702768853143015e-311, y = 2.447604364217855e-263, axes = 0x0, 
    state = 4527840, is_hint = 4804, device = 0x3a1b7c, 
    x_root = -0.80245590209960938, y_root = 8.4997435002274533e-264}, 
  button = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    time = 0, x = 1.5702768853143015e-311, y = 2.447604364217855e-263, 
    axes = 0x0, state = 4527840, button = 8131268, device = 0x3a1b7c, 
    x_root = -0.80245590209960938, y_root = 8.4997435002274533e-264}, 
  scroll = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    time = 0, x = 1.5702768853143015e-311, y = 2.447604364217855e-263, 
    state = 0, direction = 4527840, device = 0x7c12c4, 
    x_root = 1.8814632435035512e-317, y_root = 1.992964526119637e-306}, 
  key = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    time = 0, state = 0, keyval = 740, length = 428, 
    string = 0x968a9c0 "\002", hardware_keycode = 0, group = 0 '\0', 
    is_modifier = 0}, crossing = {type = GDK_EXPOSE, window = 0x9512400, 
    send_event = 0 '\0', subwindow = 0x0, time = 0, 
    x = 9.0821419889874513e-312, y = 7.7990309604077133e-316, 
    x_root = 2.4986069263388479e-306, y_root = 1.8814632435035512e-317, 
    mode = 3219762616, detail = 7758945, focus = 156311840, state = 0}, 
  focus_change = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    in = 40}, configure = {type = GDK_EXPOSE, window = 0x9512400, 
    send_event = 0 '\0', x = 0, y = 0, width = 740, height = 428}, 
  property = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    atom = 0x0, time = 0, state = 740}, selection = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0', selection = 0x0, target = 0x0, 
    property = 0x2e4, time = 428, requestor = 157854144}, owner_change = {
    type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', owner = 0, 
    reason = GDK_OWNER_CHANGE_NEW_OWNER, selection = 0x2e4, time = 428, 
    selection_time = 157854144}, proximity = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0', time = 0, device = 0x0}, 
  client = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    message_type = 0x0, data_format = 0, data = {
      b = "ä\002\000\000¬\001\000\000À©h\t\000\000\000\000à\026E", s = {740, 
        0, 428, 0, -22080, 2408, 0, 0, 5856, 69}, l = {740, 428, 157854144, 
        0, 4527840}}}, dnd = {type = GDK_EXPOSE, window = 0x9512400, 
    send_event = 0 '\0', context = 0x0, time = 0, x_root = 740, y_root = 0}, 
  window_state = {type = GDK_EXPOSE, window = 0x9512400, send_event = 0 '\0', 
    changed_mask = 0, new_window_state = 0}, setting = {type = GDK_EXPOSE, 
    window = 0x9512400, send_event = 0 '\0', action = GDK_SETTING_ACTION_NEW, 
    name = 0x0}, grab_broken = {type = GDK_EXPOSE, window = 0x9512400, 
    send_event = 0 '\0', keyboard = 0, implicit = 0, grab_window = 0x2e4}}
	save_region = 1
#14 0x00341897 in IA__gdk_window_process_all_updates () at gdkwindow.c:2401
	old_update_windows = (GSList *) 0x9697b48
	tmp_list = (GSList *) 0x9697b48
#15 0x010666c2 in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1113
No locals.
#16 0x0074c8c1 in g_idle_dispatch (source=0x9712c08, callback=0, 
    user_data=0x0) at gmain.c:3928
No locals.
#17 0x0074e622 in IA__g_main_context_dispatch (context=0x9514218)
    at gmain.c:2045
No locals.
#18 0x007515ff in g_main_context_iterate (context=0x9514218, block=1, 
    dispatch=1, self=0x94ed588) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 110
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x969b478
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#19 0x007519a9 in IA__g_main_loop_run (loop=0x956bd90) at gmain.c:2881
	got_ownership = 4522480
	self = (GThread *) 0x94ed588
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#20 0x0804b759 in main (argc=) at gpm-statistics.c:180
	verbose = 0
	context = <value optimized out>
	program = (GnomeProgram *) 0x94f6810
	statistics = (GpmStatistics *) 0x94f55b0
	loop = (GMainLoop *) 0x9524b88
	options = {{long_name = 0x8053e6c "verbose", short_name = 0 '\0', 
    flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfe9afa4, 
    description = 0x8053f48 "Show extra debugging information", 
    arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', flags = 0, 
    arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, 
    arg_description = 0x0}}
	__FUNCTION__ = "main"
#0  0x006a7402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
error : xmlEncodeEntitiesReentrant : input not UTF-8
encoding error : output conversion failed due to conv error, bytes 0xEC 0x26
0x23 0x39
I/O error : encoder error
error : xmlEncodeEntitiesReentrant : input not UTF-8
encoding error : output conversion failed due to conv error, bytes 0xF1 0x22
0x20 0x6C
I/O error : encoder error
This is glChess 2.18.0
Loading AI configuration from /usr/share/glchess/ai.xml
Detected AI: GNU Chess at /usr/bin/gnome-gnuchess
Auto-loading from /home/sangu/.glchess/autosave.pgn...
Auto-saving to /home/sangu/.glchess/autosave.pgn...
Cannot access memory at address 0x1
Cannot access memory at address 0x1
--------------------------------------------------


Version-Release number of selected component (if applicable):
2.18.0-1.fc7

How reproducible:
always

Steps to Reproduce:
1. Resizing  gnome-power-statistics again and again
2.
3.
  
Actual results:


Expected results:


Additional info:
gtk2-2.10.10-1.fc7

Comment 1 Matthias Clasen 2007-04-24 01:47:27 UTC
I can't reproduce this. Are you still seeing it ?

Comment 2 sangu 2007-04-24 18:07:13 UTC
Yes, this problem still happens.

Additional info:
gtk2-2.10.11-5.fc7
gnome-power-manager-2.18.2-1.fc7
compiz-0.3.6-8.fc7


Comment 3 Richard Hughes 2007-05-14 11:23:45 UTC
This should be fixed in 2.18.3 - can this be pushed as an update, or is it still
in time for F7?

Comment 4 sangu 2007-06-07 01:19:52 UTC
This problem doesn't happen in gnome-power-manager-2.19.2-3.fc8.

And, gnome-power-manager-2.18.3-1.fc7 in F7 testing .



Note You need to log in before you can comment on or make changes to this bug.